import greenfoot.*;  

public class Car  extends Vehicle
{
    private int numHits;

    public Car() {
        numHits = 0;
    }
    
    public void act() 
    {   
        move(); 
        checkEdges();
        
        /*if(Greenfoot.getRandomNumber(100) < 20) {
            //turn(Greenfoot.getRandomNumber(361) - 180);
            turn(Greenfoot.getRandomNumber(181) - 90);
        }*/
        
        checkBarrels();
        checkKeys();
    }

    private void checkEdges() {
         if(atWorldEdge()) {
            turn(15);
        }
    }
    
    private void checkKeys() {
        if(Greenfoot.isKeyDown("right")){
            turn(15);
        }
        
        if(Greenfoot.isKeyDown("left")) {
            turn (-15);
        }
    }
    
    private void checkBarrels() {
        if(canSee(Barrel.class)) {
            turn(180);
            //note that we've hit a barrel
            if (numHits > 10) { //we've hit more than 10
                //stop scenario
                Greenfoot.stop();
            }
        }
    }
}
